Page MenuHomePhabricator

Update rensingsrutin for Press
Closed, ResolvedPublic

Description

While following up on the 2018 integritetsrensing I discovered that our routine is incompatible with the features existing in Mynewsdesk (at least not the features existing today).

Our routine specifies that we should delete the details of anyone we have not been in contact with for the last 3 years.

While Mynewsdesk allows us to see when we were last in touch with a contact Alla kontakter -visa detaljer -Historik you need to do this manually for each contact (we have 1133 contacts as of writing this). This history information is also not included in the exported data.

A contact can be part of 0 or more contact lists. But you can also not see when a contact list was last used, so you can not use that as a proxy for when a user was contacted.

On a minor note contacts whom have chosen to subscribe to us (13) cannot be removed independently of when we were last in touch with them. That should be a minor issue though since these have all decided to create accounts with Mynewsdesk themselves (rather than us having added their details there).

What we can do easily is to delete all contacts who have either chosen to unsubscribe to our e-mails (94) or who have become unreachable (311)

Event Timeline

Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)

@Historiker @Jopparn I'm not sure of any way in which we could practically follow even the spirit of this Rensingsrutin. At least not until Mynewsdesk adds new functionality to their Contacts modules.

My suggestion is that we rewrite the routine to instead say that we do a yearly (instead of every 3 years) purge of anyone who has chosen to unsubscribe or who has become unreachable.

Also we should ensure that we never use Mynewsdesk for personal e-mail addresses but only for organisational ones (i.e. Sven.Svensson@bigmedia.com is fine to add but not Sven.Svensson@gmail.com). We could use the yearly purge to verify that no such addresses are in our contacts (with the exception of people who have subscribed to us themselves of course).

Lokal_Profil added a project: User-Jopparn.
Lokal_Profil added a comment.EditedSep 6 2019, 11:49 AM

We could use the yearly purge to verify that no such addresses are in our contacts.

It will of course not be perfect but a few obvious domains such as gmail.com, htomail.com, telia.se and swipnet.se.

There are 25 such users today (who are not in the unreachable, unsubscribed or chose to subscribe categories)

@Historiker @Jopparn I'm not sure of any way in which we could practically follow even the spirit of this Rensingsrutin. At least not until Mynewsdesk adds new functionality to their Contacts modules.

My suggestion is that we rewrite the routine to instead say that we do a yearly (instead of every 3 years) purge of anyone who has chosen to unsubscribe or who has become unreachable.

Also we should ensure that we never use Mynewsdesk for personal e-mail addresses but only for organisational ones (i.e. Sven.Svensson@bigmedia.com is fine to add but not Sven.Svensson@gmail.com). We could use the yearly purge to verify that no such addresses are in our contacts (with the exception of people who have subscribed to us themselves of course).

That sounds reasonable.

@Historiker @Jopparn I'm not sure of any way in which we could practically follow even the spirit of this Rensingsrutin. At least not until Mynewsdesk adds new functionality to their Contacts modules.

My suggestion is that we rewrite the routine to instead say that we do a yearly (instead of every 3 years) purge of anyone who has chosen to unsubscribe or who has become unreachable.

Also we should ensure that we never use Mynewsdesk for personal e-mail addresses but only for organisational ones (i.e. Sven.Svensson@bigmedia.com is fine to add but not Sven.Svensson@gmail.com). We could use the yearly purge to verify that no such addresses are in our contacts (with the exception of people who have subscribed to us themselves of course).

That sounds reasonable.

Then I'll make a proper phrasing based in the suggestion above.

Lokal_Profil added a comment.EditedOct 17 2019, 7:58 AM

Förslag på ny formulering

TypLagringsplatsSyfteRättslig grundSäkerhetsklassRensningspolicyKommentar
PresslistorMyNewsdeskFör att skicka ut pressmeddelandenIntresseavvägning för vårt berättigade intresse att informera journalister och andra om föreningens verksamhet i deras yrkesutövning.2Kontakter som blivit onåbara eller tackat nej till våra utskick rensas årligen.Enbart tjänsteadresser ska användas i presslistorna. Denna begränsning, samt rensningspolicy omfattar ej användare som själva valt att prenumerera på våra utskick.
Lokal_Profil added a comment.EditedOct 18 2019, 10:45 AM

Suggested rensningsinstruktion (in Swedish):

Radera onåbara och avregistrerade:

  1. Logga in på Mynewsdesk
  2. Gå till Hantera kontakter
  3. I listor välj "Onåbara kontakter"
  4. Kryssa för "Markera alla kontakter"
  5. Klicka på papperskorgen
  6. Bekräfta raderingen
  7. Upprepa för listan "Avregistrerade kontakter"

Säkerställ att enbart tjänsteadresser används:

  1. Gå till Hantera kontakter
  2. För var av följande domäner @gmail.com, @hotmail.com, @outlook.com, @swipnet.se, @telia.com, @yahoo.com, @yahoo.se (en i taget)
  3. Sök på domänen (inkl. @-tecknet)
  4. För var träff där kontakten inte är en följare (indikeras med en grön bock) eller där det uppenbart är ett funktionskonto (t.ex. wikimedia@telia.com);
    1. kryssa för kontakten
    2. gör en not om när personen lagts till (vilken lista, vilken datum, inför vilket utskick)
  5. Klicka på papperskorgen
  6. Bekräfta raderingen
  7. Om någon radering gjorts, gör en anmärkning med en not om i vilka sammanhang dessa personer lagts till i loggen.

För att göra ett uttag och eventuellt uppdatera listan på icke-tjänstedomäner [görs inte vart år]:

  1. Gå till Exportera
  2. Välj listan "Alla kontakter" (sista)
  3. Välj CVS (XLS saknar vissa kolumn-rubriker)
  4. Listan skickas per e-post
  5. Filtrerar bort alla med Follower=true (kolumn Q)
  6. Se över e-postadresser i kolumn F
    • Regexp ([^@])*@ kan användas för att plocka bort allt utom domänen vilket sedan tillåter en att rensa ut dubbletter.
Jopparn closed this task as Resolved.Dec 2 2019, 10:03 AM
Jopparn moved this task from Backlog to Done on the User-Jopparn board.Apr 15 2020, 2:31 PM